<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:nspedido="http://tutorial.adictosaltrabajo.com/schema/pedido"
xmlns:nsorder="http://tutorial.adictosaltrabajo.com/schema/order">
    <xsl:template match="/">
        <nsorder:order>
            <nsorder:supplier>
                <nsorder:firstName>
                    <xsl:value-of select="/nspedido:pedido/nspedido:contacto/nspedido:nombre"/>
                </nsorder:firstName>
                <nsorder:lastName>
                    <xsl:value-of select="substring-before(/nspedido:pedido/nspedido:contacto/nspedido:apellidos,' ')"/>
                </nsorder:lastName>
                <nsorder:phoneNo>
                    <xsl:value-of select="concat('+34 ', /nspedido:pedido/nspedido:contacto/nspedido:telefono)"/>
                </nsorder:phoneNo>
            </nsorder:supplier>
            <nsorder:buildingMaterial>
                <nsorder:ID>
                    <xsl:value-of select="/nspedido:pedido/nspedido:material/nspedido:ID"/>
                </nsorder:ID>
                <nsorder:maximumWeight>
                    <xsl:value-of select="/nspedido:pedido/nspedido:material/nspedido:pesoMaximo * 2.20462262"/>
                </nsorder:maximumWeight>
            </nsorder:buildingMaterial>
        </nsorder:order>
    </xsl:template>
</xsl:stylesheet>
